from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XStatusIndicator(XInterface, Protocol):
    def start(self, Text: str, Range: int) -> None: ...
    def end(self) -> None: ...
    def setText(self, Text: str) -> None: ...
    def setValue(self, Value: int) -> None: ...
    def reset(self) -> None: ...
